Retrieve a List of Optionlists

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
GET /profiles/{profile_id}/optionlists

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

Query parameters

  • fields string

    extra information of each optionlist on the list

  • limit number

    maximum count of the optionlist list

  • offset number

    skip that many optionlists before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each optionlists

  • exclude string

    will exclude specified fields

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • id number Required
    • name string Required
    • global_id string
    • version number
    • created_date string
    • created_by: `demo_user` string
    • modified_date string
    • modified_by: `demo_user` string
    • reference_id string
    • option_icons string
  • 400 application/json

    Bad Request - limit or offset is not an integer.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

GET /profiles/{profile_id}/optionlists
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/optionlists' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
[
  {
    "id": 393652,
    "name": "Colors"
  },
  {
    "id": 393655,
    "name": "System Grade"
  }
]
Response examples (400)
{
  "error_message": "'limit' must be an integer"
}